[layerindex-web][PATCH] utils.py: Use get_layer_var() to get BBFILE_COLLECTIONS


Robert Yang
 

The commit 38e6288c7dad579518b0de2b6664f23be58889b6 has added oe-core to
BBLAYERS by default, and then there will be mutliple BBFILE_COLLECTIONS and
caused update.py failed to update layers (most of the dependencies or
reccommends are missing), use get_layer_var() to get BBFILE_COLLECTIONS to fix
the problem since it can ignore the extra oe-core from BBFILE_COLLECTIONS.

Signed-off-by: Robert Yang <liezhi.yang@...>
---
layerindex/utils.py | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/layerindex/utils.py b/layerindex/utils.py
index efd18e4..ed7fb47 100644
--- a/layerindex/utils.py
+++ b/layerindex/utils.py
@@ -188,7 +188,7 @@ def _add_dependency(var, name, layerbranch, config_data, logger=None, required=T
logger.warn('Either set REMOVE_LAYER_DEPENDENCIES to remove them from the database, or fix conf/layer.conf')

def set_layerbranch_collection_version(layerbranch, config_data, logger=None):
- layerbranch.collection = config_data.getVar('BBFILE_COLLECTIONS', True)
+ layerbranch.collection = get_layer_var(config_data, 'BBFILE_COLLECTIONS', logger)
ver_str = "LAYERVERSION_"
if layerbranch.collection:
layerbranch.collection = layerbranch.collection.strip()
--
2.37.0

Join yocto@lists.yoctoproject.org to automatically receive all group messages.